[Unit]
Description=gmid Gemini daemon
Documentation=man:gg(1) man:gmid(1)
After=network-online.target syslog.target
Wants=network-online.target

[Service]
Type=simple
User=gmid
Group=nobody
ExecStart=/usr/bin/gmid -f -c /etc/gmid.conf
ExecStop=/bin/kill -TERM $MAINPID
ExecReload=/bin/kill -HUP $MAINPID
Restart=on-failure
RestartSec=10
StandardOutput=journal
StandardError=inherit
SyslogIdentifier=gmid
ProtectSystem=strict
ProtectHome=true
ProtectKernelTunables=true
ProtectKernelModules=true
ProtectKernelTunables=true
ProtectControlGroups=true

[Install]
WantedBy=multi-user.target
